<div class="row justify-content-center">
    <ng-wizard [config]="config" (stepChanged)="stepChanged($event)" >

        <ng-wizard-step [title]="'Step 1'" [description]="'Step 1 description'"
                        [canEnter]="isValidTypeBoolean" [canExit]="isValidFunctionReturnsBoolean.bind(this)">
            <div class="card m-4 ">
                <div class="card-header">
                    <div class="card-title">
                          <span>Nouvel Appel </span>
                    </div>
                </div>
                <div class="card-body">
                    <div class="col-8">
                        <form [formGroup]="appelForm" name="editForm" role="form" novalidate (ngSubmit)="save()" >

                            <div>
                                <jhi-alert-error></jhi-alert-error>


                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.date"
                                           for="field_date">Date</label>
                                    <div class="d-flex">
                                        <input id="field_date" type="datetime-local" class="form-control" name="date"
                                               formControlName="date" placeholder="YYYY-MM-DD HH:mm"/>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.budget"
                                           for="field_budget">Budget</label>
                                    <input type="text" class="form-control" name="budget" id="field_budget"
                                           formControlName="budget"/>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.duree"
                                           for="field_duree">Duree</label>
                                    <input type="number" class="form-control" name="duree" id="field_duree"
                                           formControlName="duree"/>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.context"
                                           for="field_context">Context</label>
                                    <input type="text" class="form-control" name="context" id="field_context"
                                           formControlName="context"/>
                                </div>


                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.client"
                                           for="field_client">Client</label>
                                    <select class="form-control" id="field_client" name="client" formControlName="clientId">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="clientOption.id"
                                                *ngFor="let clientOption of clients; trackBy: trackById">{{ clientOption.id }}</option>
                                    </select>
                                </div>
                            </div>


                        </form>
                    </div>
                </div>

            </div>



        </ng-wizard-step>
        <ng-wizard-step [title]="'Step 2'" [description]="'Step 3 description'"
                        [canEnter]="isValidFunctionReturnsObservable.bind(this)"
                        [canExit]="isValidFunctionReturnsBoolean.bind(this)">
            <div class="card m-4">
                <div class="card-header">
                    <div class="card-title">
                        <span>Projet demandé </span>
                    </div>
                </div>
                <div class="card-body">
                    <div class="col-8">
                        <form [formGroup]="projetDForm" name="editForm" role="form" novalidate (ngSubmit)="save()" >

                            <div>
                                <jhi-alert-error></jhi-alert-error>


                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.projetDemande.description" for="field_description">Description</label>
                                    <input type="text" class="form-control" name="description" id="field_description"
                                           formControlName="description"/>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label" jhiTranslate="gestioncvsApp.projetDemande.entreprise" for="field_entreprise">Entreprise</label>
                                    <input type="text" class="form-control" name="entreprise" id="field_entreprise"
                                           formControlName="entreprise"/>
                                </div>


                            </div>


                        </form>
                    </div>
                </div>
            </div>
            <div class="card m-4">
                <div class="card-header">
                    <div class="card-title">
                        <span>Ressources demandés </span>
                    </div>
                </div>
                <div class="card-body">
                    <div class="col-8">
                        <form [formGroup]="ressourceDForm" name="editForm" role="form" novalidate (ngSubmit)="save()" >

                            <div>
                                <jhi-alert-error></jhi-alert-error>


                                <div class="form-group">
                                    <label class="form-control-label"  for="anciennete_etude">Ancienneté d'étude</label>
                                    <input type="text" class="form-control" name="description" id="anciennete_etude"
                                           formControlName="description"/>
                                </div>

                                <div class="form-group">
                                    <label class="form-control-label"  for="anciennete_emploi">Ancienneté d'emploi</label>
                                    <input type="text" class="form-control" name="entreprise" id="anciennete_emploi"
                                           formControlName="entreprise"/>
                                </div>
                                <div class="form-group">
                                    <label class="form-control-label"
                                           for="profil">Profil</label>
                                    <select class="form-control" id="profil" name="profil" formControlName="clientId">
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="clientOption.id"
                                                *ngFor="let clientOption of clients; trackBy: trackById">{{ clientOption.id }}</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label class="form-control-label"  for="nombre_ressource">Nombre de ressources</label>
                                    <input type="text" class="form-control" name="entreprise" id="nombre_ressource"
                                           formControlName="entreprise"/>
                                </div>
                                <button type="button" class="btn btn-success" >Ajouter Ressource </button>
                                <p></p>
                                <p></p>
                                    <table class="table table-striped">
                                        <thead>
                                        <tr>
                                            <th>Profil</th>
                                            <th>experiences</th>
                                            <th>Nb° ressources</th>
                                            <th>Actions</th>

                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>


                        </form>
                    </div>
                </div>
            </div>


        </ng-wizard-step>

        <ng-wizard-step [title]="'Step 3'" [description]="'Step 4 description'">
            <span>Step 3 content</span>
        </ng-wizard-step>


        <ng-wizard-step [title]="'Step 4'" [description]="'Step 7 description'">
            <span>Step 4 content</span>
        </ng-wizard-step>
    </ng-wizard>


    <!--<div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-appel-offre-heading" jhiTranslate="gestioncvsApp.appelOffre.home.createOrEditLabel">Create or edit a Appel Offre</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.date" for="field_date">Date</label>
                    <div class="d-flex">
                        <input id="field_date" type="datetime-local" class="form-control" name="date" formControlName="date" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.budget" for="field_budget">Budget</label>
                    <input type="text" class="form-control" name="budget" id="field_budget"
                           formControlName="budget"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.duree" for="field_duree">Duree</label>
                    <input type="number" class="form-control" name="duree" id="field_duree"
                           formControlName="duree"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.context" for="field_context">Context</label>
                    <input type="text" class="form-control" name="context" id="field_context"
                           formControlName="context"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.projetsD" for="field_projetsD">Projets D</label>
                    <select class="form-control" id="field_projetsD" name="projetsD" formControlName="projetsDId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="projetDemandeOption.id" *ngFor="let projetDemandeOption of projetsds; trackBy: trackById">{{ projetDemandeOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.appelOffre.client" for="field_client">Client</label>
                    <select class="form-control" id="field_client" name="client" formControlName="clientId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="clientOption.id" *ngFor="let clientOption of clients; trackBy: trackById">{{ clientOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>-->
</div>
